Coordinación de Seguridad de la Información

Coordinación de Seguridad de la Información

Información y servicios de seguridad en cómputo

1 2 3 4 5 6 7

Vulnerabilidades rss pdf

Coordinación de Seguridad de la Información - UNAM-CERT -- DGTIC-UNAM

Vulnerabilidad de Seguridad UNAM-CERT-2009-023 Vulnerabilidad en Message Queuing podría permitir elevación de privilegios

Esta actualización de seguridad resuelve una vulnerabilidad reportada de manera privada en Windows Message Queuing Service (MSMQ). La vulnerabilidad podría permitir la elevación de privilegios si un usuario recibiera una petición maliciosa para un servicio MSMQ afectado. De manera predeterminada, el componente Message Queuing no está instalado en ninguna edición de un sistema operativo afectado y puede ser solo habilitado por un usuario con privilegios de administrador. Solo clientes que instalen manualmente el componente Message Queuing corren el riesgo de ser vulnerables a esta amenaza.

  • Fecha de Liberación: 11-Ago-2009
  • Ultima Revisión: 3-Sep-2009
  • Fuente: Microsoft Corp.
  • CVE ID: CVE-2009-1922
  • Riesgo Importante
  • Problema de Vulnerabilidad Remoto
  • Tipo de Vulnerabilidad Elevación de privilegios

Sistemas Afectados

Microsoft Windows todas las versiones Microsoft Windows 2000 Service Pack 4 KB951071
Microsoft Windows todas las versiones Windows Server 2003 Service Pack 2 KB971032
Microsoft Windows todas las versiones Windows Server 2003 with SP2 for Itanium-based Systems KB971032
Microsoft Windows todas las versiones Windows Server 2003 x64 Edition Service Pack 2 KB971032
Microsoft Windows todas las versiones Windows Vista KB971032
Microsoft Windows todas las versiones Windows Vista x64 Edition KB971032
Microsoft Windows todas las versiones Windows XP Professional x64 Edition Service Pack 2 KB971032
Microsoft Windows todas las versiones Windows XP Service Pack 2 KB937894
  1. Índice de explotabilidad

    Vulnerabilidad de puntero nulo de MSMQ - CVE-2009-1922

    Código de explotación consistente.

  2. Descripción

    Vulnerabilidad de puntero nulo de MSMQ - CVE-2009-1922

    Una vulnerabilidad de elevación de privilegios existe en el servicio Windows Message Queuing service (MSMQ) debido a una falla especifica en el parseo de una petición IOCTL para el servicio Message Queuing. El servicio MSQM revisa inapropiadamente los datos de entrada antes de pasarlos al buffer.

  3. Impacto

    Vulnerabilidad de puntero nulo de MSMQ - CVE-2009-1922

    Un atacante que explotara exitosamente esta vulnerabilidad podría ejecutar código arbitrario y tomar control completo de un sistema afectado. Un atacante podría entonces instalar programas; ver, modificar, o eliminar datos; o crear nuevas cuantas de usuario.

  4. Solución

    1. Microsoft Windows 2000 Service Pack 4

    2. Windows XP Service Pack 2

    3. Windows XP Professional x64 Edition Service Pack 2

    4. Windows Server 2003 Service Pack 2

    5. Windows Server 2003 x64 Edition Service Pack 2

    6. Windows Server 2003 with SP2 for Itanium-based Systems

    7. Windows Vista

    8. Windows Vista x64 Edition

  5. Referencias

    http://www.microsoft.com/technet/security/bulletin/ms09-aug.mspx

    http://www.microsoft.com/technet/security/bulletin/ms09-040.mspx

La Coordinación de Seguridad de la Información/UNAM-CERT agradece el apoyo en la elaboración ó traducción y revisión de éste Documento a:

  • Manuel Ignacio Quintero Martínez (mquintero at seguridad dot unam dot mx)
  • Francisco Carlos Martínez Godínez (fmartinez at seguridad dot unam dot mx)

UNAM-CERT
Equipo de Respuesta a Incidentes UNAM
Coordinación de Seguridad de la Información

incidentes at seguridad.unam.mx
phishing at seguridad.unam.mx
http://www.cert.org.mx
http://www.seguridad.unam.mx
ftp://ftp.seguridad.unam.mx
Tel: 56 22 81 69
Fax: 56 22 80 47


Universidad Nacional Autonoma de México AENOR LOGO FIRST LOGO Aviso legal |  Créditos |  Staff |  Acerca |  Contacto |  FTP |  Administración
Copyright © Todos los derechos reservados
UNAM - CERT